Loading...
Searching...
No Matches
xmlfilecontent_probe.c File Reference

xmlfilecontent probe More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <limits.h>`
`#include <libxml/tree.h>`
`#include <libxml/parser.h>`
`#include <libxml/xpath.h>`
`#include <libxml/xpathInternals.h>`
`#include <libxslt/xslt.h>`
`#include <libxslt/xsltInternals.h>`
`#include <libxslt/transform.h>`
`#include <libxslt/xsltutils.h>`
`#include "_seap.h"`
`#include <probe-api.h>`
`#include <probe/probe.h>`
`#include <probe/option.h>`
`#include <oval_fts.h>`
`#include <common/debug_priv.h>`
`#include "xmlfilecontent_probe.h"`
Include dependency graph for xmlfilecontent_probe.c:

## Data Structures

struct | pfdata

## Macros

#define | FILE_SEPARATOR '/'

## Functions

int | xmlfilecontent_probe_offline_mode_supported ()
void * | xmlfilecontent_probe_init (void)
void | xmlfilecontent_probe_fini (void *arg)
int | xmlfilecontent_probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

xmlfilecontent probe

Author
  "Tomas Heinrich" thein.nosp@m.ric@.nosp@m.redha.nosp@m.t.co.nosp@m.m

2010/06/13 dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m This probe is able to process an xmlfilecontent_object as defined in OVAL 5.4 and 5.5.